package com.steerinfo.baseinfo.meterbasecalibrarelation.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterBaseCalibraRelation implements IBasePO<String> {
    /**
     * 关联编号(RELATION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="关联编号",required=true)
    private String relationNo;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 校秤时间单位(CALIBRATION_TIME_UNIT,VARCHAR,1)
     */
    @ApiModelProperty(value="校秤时间单位",required=true)
    private String calibrationTimeUnit;

    /**
     * 开始时间(START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="开始时间",required=false)
    private Date startTime;

    /**
     * 结束时间(END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="结束时间",required=false)
    private Date endTime;

    /**
     * 天数(DAY_NUM,DECIMAL,3)
     */
    @ApiModelProperty(value="天数",required=false)
    private Short dayNum;

    /**
     * 校秤类型编号(CALIBRATION_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="校秤类型编号",required=true)
    private String calibrationTypeNo;

    /**
     * 校秤类型名称(CALIBRATION_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="校秤类型名称",required=true)
    private String calibrationTypeName;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 状态（0：无效；1:有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：无效；1:有效）",required=false)
    private String validFlag;

    /**
     * 修改人编号(UPDATE_MAN_NO,OTHER,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private Object updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 校秤时间编号（YYYYMMDD+4位流水）(CALIBRATION_TIME_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="校秤时间编号（YYYYMMDD+4位流水）",required=false)
    private String calibrationTimeNo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.relationNo;
    }

    @Override
    public void setId(String relationNo) {
        this.relationNo = relationNo == null ? null : relationNo.trim();
    }

    public String getRelationNo() {
        return relationNo;
    }

    public void setRelationNo(String relationNo) {
        this.relationNo = relationNo == null ? null : relationNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getCalibrationTimeUnit() {
        return calibrationTimeUnit;
    }

    public void setCalibrationTimeUnit(String calibrationTimeUnit) {
        this.calibrationTimeUnit = calibrationTimeUnit == null ? null : calibrationTimeUnit.trim();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Short getDayNum() {
        return dayNum;
    }

    public void setDayNum(Short dayNum) {
        this.dayNum = dayNum;
    }

    public String getCalibrationTypeNo() {
        return calibrationTypeNo;
    }

    public void setCalibrationTypeNo(String calibrationTypeNo) {
        this.calibrationTypeNo = calibrationTypeNo == null ? null : calibrationTypeNo.trim();
    }

    public String getCalibrationTypeName() {
        return calibrationTypeName;
    }

    public void setCalibrationTypeName(String calibrationTypeName) {
        this.calibrationTypeName = calibrationTypeName == null ? null : calibrationTypeName.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public Object getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(Object updateManNo) {
        this.updateManNo = updateManNo;
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getCalibrationTimeNo() {
        return calibrationTimeNo;
    }

    public void setCalibrationTimeNo(String calibrationTimeNo) {
        this.calibrationTimeNo = calibrationTimeNo == null ? null : calibrationTimeNo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", relationNo=").append(relationNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", calibrationTimeUnit=").append(calibrationTimeUnit);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", dayNum=").append(dayNum);
        sb.append(", calibrationTypeNo=").append(calibrationTypeNo);
        sb.append(", calibrationTypeName=").append(calibrationTypeName);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", calibrationTimeNo=").append(calibrationTimeNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}